replace jessie with stretch
authorDietmar Maurer <dietmar@proxmox.com>
Sat, 11 Mar 2017 07:21:11 +0000 (08:21 +0100)
committerDietmar Maurer <dietmar@proxmox.com>
Sat, 11 Mar 2017 07:21:11 +0000 (08:21 +0100)
pve-faq.adoc
pve-installation.adoc
pve-package-repos.adoc

index ebdb1d4..50a89cf 100644 (file)
@@ -85,6 +85,7 @@ recommended.
 [width="100%",cols="5*d",options="header"]
 |===========================================================
 | {pve} Version | Debian Version    | First Release | Debian EOL | Proxmox EOL
+| {pve} 5.x     | Debian 9 (Stretch)| tba           | tba        | tba
 | {pve} 4.x     | Debian 8 (Jessie) | 2015-10       | 2018-05    | tba
 | {pve} 3.x     | Debian 7 (Wheezy) | 2013-05       | 2016-04    | 2017-02
 | {pve} 2.x     | Debian 6 (Squeeze)| 2012-04       | 2014-05    | 2014-05
index 7414359..c46c0d1 100644 (file)
@@ -8,7 +8,7 @@ ifdef::wiki[]
 endif::wiki[]
 
 {pve} is based on Debian and comes with an installation CD-ROM 
-which includes a complete Debian ("jessie" for Proxmox VE 4.x) system as 
+which includes a complete Debian ("stretch" for Proxmox VE 5.x) system as 
 well as all necessary Proxmox VE packages. The
 installer just asks you a few questions, then partitions the local
 disk(s), installs all required packages, and configures the system
@@ -168,8 +168,8 @@ installation using the following command:
 
 ifdef::wiki[]
 
-link:/wiki/Install_Proxmox_VE_on_Debian_Jessie[Install Proxmox VE on Debian Jessie]
------------------------------------------------------------------------------------
+link:/wiki/Install_Proxmox_VE_on_Debian_Stretch[Install Proxmox VE on Debian Stretch]
+-------------------------------------------------------------------------------------
 
 link:/wiki/Install_from_USB_Stick[Install from USB Stick]
 ---------------------------------------------------------
@@ -200,7 +200,7 @@ In general, this is not trivial, especially when you use LVM or
 ZFS.
 
 You can find a detailed step by step howto on the
-{webwiki-url}Install_Proxmox_VE_on_Debian_Jessie[wiki].
+{webwiki-url}Install_Proxmox_VE_on_Debian_Stretch[wiki].
 
 include::pve-usbstick.adoc[]
 
index e23c01e..bd821db 100644 (file)
@@ -20,10 +20,10 @@ acquired by `apt-get update`.
 
 .File `/etc/apt/sources.list`
 ----
-deb http://ftp.debian.org/debian jessie main contrib
+deb http://ftp.debian.org/debian stretch main contrib
 
 # security updates
-deb http://security.debian.org jessie/updates main contrib
+deb http://security.debian.org stretch/updates main contrib
 ----
 
 In addition, {pve} provides three different package repositories.
@@ -38,7 +38,7 @@ enabled by default:
 
 .File `/etc/apt/sources.list.d/pve-enterprise.list`
 ----
-deb https://enterprise.proxmox.com/debian jessie pve-enterprise
+deb https://enterprise.proxmox.com/debian stretch pve-enterprise
 ----
 
 As soon as updates are available, the `root@pam` user is notified via
@@ -68,14 +68,14 @@ We recommend to configure this repository in `/etc/apt/sources.list`.
 
 .File `/etc/apt/sources.list`
 ----
-deb http://ftp.debian.org/debian jessie main contrib
+deb http://ftp.debian.org/debian stretch main contrib
 
 # PVE pve-no-subscription repository provided by proxmox.com,
 # NOT recommended for production use
-deb http://download.proxmox.com/debian jessie pve-no-subscription
+deb http://download.proxmox.com/debian stretch pve-no-subscription
 
 # security updates
-deb http://security.debian.org jessie/updates main contrib
+deb http://security.debian.org stretch/updates main contrib
 ----
 
 
@@ -89,7 +89,7 @@ features. As usual, you can configure this using
 
 .sources.list entry for `pvetest`
 ----
-deb http://download.proxmox.com/debian jessie pvetest
+deb http://download.proxmox.com/debian stretch pvetest
 ----
 
 WARNING: the `pvetest` repository should (as the name implies) only be used
@@ -148,7 +148,7 @@ deb http://download.proxmox.com/debian wheezy pvetest
 |===========================================================
 
 NOTE: Apt `sources.list` configuration files are basically the same as
-in newer 4.x versions - just replace `jessie` with `wheezy`.
+in newer 5.x versions - just replace `wheezy` with `stretch`.
 
 Outdated: `stable` Repository `pve`
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~